Package epydoc :: Package markup :: Module plaintext :: Class ParsedPlaintextDocstring

[hide private]
[frames] | no frames]

# Class ParsedPlaintextDocstring

source code

Instance Methods | [hide private]

__init__(self, text, **options) | source code call graph

Call Graph

`string`

to_html(self, docstring_linker, **options) Translate this docstring to HTML. | source code call graph

Call Graph

`string`

to_latex(self, docstring_linker, **options) Translate this docstring to LaTeX. | source code

`string`

to_plaintext(self, docstring_linker, **options) Translate this docstring to plaintext. | source code call graph

Call Graph

(ParsedDocstring, `bool`)

summary(self) Returns: A pair consisting of a short summary of this docstring and a boolean value indicating whether there is further documentation in addition to the summary. | source code call graph

Call Graph

Inherited from `ParsedDocstring`: `__add__`, `concatenate`, `index_terms`, `split_fields`

Class Variables | [hide private]

| _SUMMARY_RE = `re.compile(r'`(`\s`*``[`\w\W`]``*?``(?:`\.`(`\s`|`$`)``|`\n`[`\t `]``*`\n`)``)`')`

Method Details | [hide private]

### to_html(self, docstring_linker, **options)

source code
call graph

Call Graph

Translate this docstring to HTML.

Parameters:
  - `docstring_linker` - An HTML translator for crossreference links into and out of the docstring.
  - `options` - Any extra options for the output. Unknown options are ignored.
Returns: `string`
  An HTML fragment that encodes this docstring.
Overrides: ParsedDocstring.to_html
  (inherited documentation)

### to_latex(self, docstring_linker, **options)

source code

Translate this docstring to LaTeX.

Parameters:
  - `docstring_linker` - A LaTeX translator for crossreference links into and out of the docstring.
  - `options` - Any extra options for the output. Unknown options are ignored.
Returns: `string`
  A LaTeX fragment that encodes this docstring.
Overrides: ParsedDocstring.to_latex
  (inherited documentation)

### to_plaintext(self, docstring_linker, **options)

source code
call graph

Call Graph

Translate this docstring to plaintext.

Parameters:
  - `docstring_linker` - A plaintext translator for crossreference links into and out of the docstring.
  - `options` - Any extra options for the output. Unknown options are ignored.
Returns: `string`
  A plaintext fragment that encodes this docstring.
Overrides: ParsedDocstring.to_plaintext
  (inherited documentation)

### summary(self)

source code
call graph

Call Graph

Returns: (ParsedDocstring, `bool`)
  A pair consisting of a short summary of this docstring and a boolean value indicating whether there is further documentation in addition to the summary. Typically, the summary consists of the first sentence of the docstring.
Overrides: ParsedDocstring.summary
  (inherited documentation)